## gap 4r7p5

=== cnf/Makefile ===
#############################################################################
##
#W  Makefile			GAP source			 Frank Celler
##
##
#Y  Copyright (C)  1997,  Lehrstuhl D fuer Mathematik,	RWTH Aachen,  Germany
##
##  This file creates the `configure' scripts using `autoconf'.
##
CC=cc

SOURCE= \
    ariths \
    blister \
    bool \
    c_filt1 \
    c_meths1 \
    c_oper1 \
    c_random \
    c_type1 \
    calls \
    code \
    compiler \
    compstat \
    costab \
    cyclotom \
    dt \
    dteval \
    exprs \
    finfield \
    funcs \
    gap \
    gasman \
    gmpints \
    gvars \
    integer \
    intfuncs \
    intrprtr \
    iostream \
    listfunc \
    listoper \
    lists \
    macfloat \
    objccoll \
    objcftl \
    objects \
    objfgelm \
    objpcgel \
    objscoll \
    opers \
    permutat \
    plist \
    pperm \
    precord \
    range \
    rational \
    read \
    records \
    saveload \
    scanner \
    sctable \
    set \
    stats \
    streams \
    string \
    sysfiles \
    system \
    tietze \
    trans \
    vars \
    vec8bit \
    vecffe \
    vecgf2 \
    vector \
    weakptr \


default: configure.out ../configure Makegap.in

config.hin: configure.in aclocal.m4
	autoheader

configure.out: configure.in aclocal.m4 config.hin
	autoconf
	sed -e 's%^srcdir=$$%srcdir=../../src%' \
	    -e 's%ac_dir_suffix=/.*$$%ac_dir_suffix=%' \
	    -e 's%config\.h:config\.hin%config.h:../../cnf/config.hin%' \
	    < configure > configure.out
	chmod 755 configure.out
	rm configure

../configure: ../configure.in
	( cd .. ; autoconf )

Makegap.in: Makegap.top Makefile Makegap.bottom
	@echo "creating 'Makegap.in'"
	@echo "# DO NOT EDIT THIS FILE BY HAND IT IS MACHINE GENERATED" > Makegap.in
	@cat Makegap.top >> Makegap.in
	@echo >> Makegap.in
	@echo '# OBJECTS are generated from SOURCE' >> Makegap.in
	@/bin/echo -n "OBJECTS=" >> Makegap.in
	@eval 'for i in $(SOURCE); do /bin/echo -n "$$i.o "; done' >> Makegap.in
	@echo '$$(GAPMPI_OBJ)' >> Makegap.in
	@echo >> Makegap.in
	@echo >> Makegap.in
	@echo '# compile and link GAP' >> Makegap.in
	@echo 'gap: $$(OBJECTS) $$(ITANIUMOBJ) $$(EXTOBJS) $$(GMP_LIBS)' >> Makegap.in
	@echo '	$$(CC) $$(LDFLAGS) -o gap $$(OBJECTS) $$(ITANIUMOBJ) -lm $$(MPILIBS) $$(EXTOBJS) $$(GMP_LIBS) $$(CONFLIBS)' >> Makegap.in
	@echo >> Makegap.in
	@echo '# compile and link gap.dll on cygwin' >> Makegap.in
	@echo 'gapdll: $$(OBJECTS) $$(ITANIUMOBJ) $$(EXTOBJS) $$(GMP_LIBS)' >> Makegap.in
	@echo '	$$(CC) $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS) -DCOMPILECYGWINDLL -o gap.o -c ../../src/gap.c' >> Makegap.in
	@echo '	$$(CC) $$(LDFLAGS) -o gap.dll -shared $$(OBJECTS) $$(ITANIUMOBJ) -lm $$(MPILIBS) $$(EXTOBJS) $$(GMP_LIBS) $$(CONFLIBS)' >> Makegap.in
	@echo '	$$(CC) $$(LDFLAGS) -o gapw95 ../../src/gapw95.c $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS) -DCOMPILECYGWINDLL gap.dll' >> Makegap.in
	@echo >> Makegap.in
	@echo '# dependencies are automatically generated' >> Makegap.in
	@(for i in `eval 'echo $(SOURCE)'`; do \
	    $(CC) -MM -MG -I .. -DUSE_PRECOMPILED ../src/$$i.c; \
	    echo '	$$(CC) $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS)' -o $$i.o -c ../src/$$i.c; \
	    echo ; \
	done \
	) | sed -e 's:../src:@srcdir@:g' | sed -e 's:extern:../../extern:g' | sed -e 's#\.o: #.o: ../../Makefile #g' >> Makegap.in
	@cat Makegap.bottom >> Makegap.in

=== debian/changelog ===
gap (4r7p5-2) unstable; urgency=low

  * gap-core.triggers: use interest-noawait. Thanks Guillem Jover.
    Closes: #772869

 -- Bill Allombert <ballombe@debian.org>  Sun, 14 Dec 2014 20:35:04 +0100

gap (4r7p5-1) unstable; urgency=low

  * New upstream release
   + Note that gap-gdat 4r7p5 is identical to gap-gdat 4r7p3.
   + Patches applied upstream:
    - gac-itanium: removed
    - gap-fix-alignment: removed
  * New patches added:
   - fix-basecc: force GAP to use gcc as the compiler name
  * debian/control, debian/doc/gap2deb:
    - Use improved Description from upstream. Closes: #637357 
  * debian/rules
    - Add -Wl,-z,relro to LDFLAGS

 -- Bill Allombert <ballombe@debian.org>  Thu, 03 Jul 2014 19:04:26 +0200

gap (4r7p4-1) unstable; urgency=low

  * New upstream release.
   + Note that gap-gdat 4r7p4 is identical to gap-gdat 4r7p3.
   + Patches applied upstream:
    - manualindex-sh: removed
    - update-convert.pl: removed
    - configure-fpic: removed
  * New patches added:
   - gap-fix-alignment: upstream patch to fix alignment issues on sparc.
   - fix-compressed-six-files: read compressed six files correctly.
   - upstream-env-tmpdir from Jerome Benoit: Honour TMPDIR. Closes: #733672

 -- Bill Allombert <ballombe@debian.org>  Fri, 28 Feb 2014 18:26:16 +0100

gap (4r7p2-1) unstable; urgency=low

  * New upstream release:
   + Patches applied upstream:
     - mips-macfloat: removed
     - hurd-task_self: removed
     - configure-abi: removed
     - configure-fpic: updated
     - configure-ncurses: removed
     - gac-object: removed
     - gac-o: removed
  * New patches added:
    - gac-itanium: Fix gac on ia64
    - manualindex-sh: add /bin/sh to doc/manualindex-sh
    - program-path: add bin to pkg installation path.
    - update-convert.pl: upstream patch to update convert.pl for current doc.
  * debian/doc:
    + gap2deb: script to generate debian directory from PackageInfo.g scripts
  * debian/control:
    - Bump Standards-Version to 3.9.5.
    - gap-dev: Add Depends on libgmp-dev. Closes: #734448. 
      Thanks Jérome Benoit.

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Feb 2014 14:23:11 +0100

=== debian/control ===
Source: gap
Section: math
Priority: optional
Maintainer: Bill Allombert <ballombe@debian.org>
Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev, gap-gapdoc
Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, help2man
Standards-Version: 3.9.5
Homepage: http://www.gap-system.org/

Package: gap
Architecture: all
Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
Recommends: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
Suggests: gap-small-groups-extra,gap-character-tables,gap-table-of-marks
Description: computer algebra system for Groups, Algorithms and Programming
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This is a dummy package that depends on the standard GAP components.

Package: gap-core
Architecture: any
Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
Recommends: gap-online-help
Suggests: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
Replaces: gap (<< 4r3n4), gap-dev (<< 4r4p6)
Description: GAP computer algebra system, core components
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the core GAP system.

Package: gap-libs
Architecture: all
Depends: ${misc:Depends}, gap-gapdoc
Description: GAP computer algebra system, essential GAP libraries
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the essential GAP libraries (lib and grp).

Package: gap-dev
Section: devel
Architecture: any
Depends: gap-core (=${binary:Version}), gcc, ${misc:Depends}, libgmp-dev
Description: GAP computer algebra system, compiler and development files
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the GAP compiler and the headers files and
 objects files necessary to build GAP packages.
 .
 The GAP compiler (GAC) creates C code from GAP code and then calls
 the system's C compiler to produce machine code from it. This can
 result in a speedup.

Package: gap-online-help
Architecture: all
Depends: gap-core, ${misc:Depends}
Description: GAP computer algebra system, online help
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the documentation in TeX format needed for the online
 help system.

Package: gap-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: gap
Description: GAP computer algebra system, documentation
 GAP is a system for computational discrete algebra, with particular emphasis
 on Computational Group Theory. GAP provides a programming language, a library
 of thousands of functions implementing algebraic algorithms written in the GAP
 language as well as large data libraries of algebraic objects. GAP is used in
 research and teaching for studying groups and their representations, rings,
 vector spaces, algebras, combinatorial structures, and more.
 .
 This package contains the documentation in HTML and PDF formats.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
# Modified for GAP by Bill Allombert 2002-2013

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

triplet = $(DEB_HOST_MULTIARCH)
gaptriplet = usr/lib/$(triplet)/gap

#strip is handled by dh_strip
CFLAGS = -g -Wall
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif
LDFLAGS = -Wl,-z,relro

config.status: configure
	dh_testdir
	LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system

prep: prep-stamp
prep-stamp:
	mkdir pkg
	ln -s /usr/share/gap/pkg/gapdoc pkg
	touch prep-stamp

build-arch:  config.status build-arch-stamp
build-arch-stamp: prep-stamp
	dh_testdir
	$(MAKE) "CFLAGS=$(CFLAGS) -fPIC" compile
	mv bin/*/ pic
	$(MAKE) "CFLAGS=$(CFLAGS)" compile
	#Run a basic test.
	echo 'ReadTest("tst/combinat.tst");'| bin/*/gap -q | tee debian/gap.tst
	grep -q "^true" debian/gap.tst 

	touch build-arch-stamp

build-indep: config.status  build-indep-stamp
build-indep-stamp: build-arch-stamp
	dh_testdir
	env GAP_DIR=`pwd` $(MAKE) manuals
	$(MAKE) -C debian/doc

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp prep-stamp

	if [ -f Makefile ]; then $(MAKE) clean; fi

	$(MAKE) -C doc clean
	$(MAKE) -C debian/doc clean

	rm -f sysinfo.gap 
	rm -rf bin pkg pic
	rm -f debian/gap.tst

	dh_clean

install: install-arch install-indep
install-arch: build-arch
	dh_testdir -a
	dh_testroot -a
	dh_prep -a
	dh_installdirs -a
	dh_install -a
	dh_install -p gap-dev pic/*.o ${gaptriplet}/bin
	dh_install -p gap-dev pic/sysinfo.gap pic/config.h ${gaptriplet}/bin
	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap
	dh_install -p gap-dev src/*.h /usr/include/gap
	dh_link -p gap-dev ${gaptriplet}/bin /usr/lib/gap/`echo bin/*-gcc-*`
	
	install -m 644 sysinfo.gap debian/gap-core/usr/lib/gap
	install -m 755 -d debian/gap-core/${gaptriplet}/bin
	install -m 755 bin/*/gap debian/gap-core/${gaptriplet}/bin
	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/bin/gap,g" \
                 debian/gap-core/usr/bin/gap
	install -m 755 bin/*/gac debian/gap-dev/usr/bin/gac
	perl -pi -e "s,\@GAP_BIN\@,/${gaptriplet}/bin,g" \
                 debian/gap-dev/usr/bin/gac
	
	dh_installdocs -a --all debian/changelog-*.Debian
	dh_installexamples -a
	dh_installmenu -a
	dh_installman -a
	dh_installinfo -a
	dh_installchangelogs  -a

install-indep: build-indep
	dh_testdir -i
	dh_testroot -i
	dh_prep -i

	$(MAKE) -C doc install-pdf install-html "DESTDIR=../debian/gap-doc"
	$(MAKE) -C doc install-help "DESTDIR=../debian/gap-online-help"
	$(MAKE) -C debian/doc install "DESTDIR=../gap-doc"
	
	dh_installdirs -i
	dh_install -i
	dh_installdocs -i --all debian/changelog-*.Debian
	dh_installexamples -i 
	dh_installinfo -i
	dh_installchangelogs  -i

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build-indep install-indep
	dh_testdir -i
	dh_testroot -i
	dh_link -i
	dh_compress -i 
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir -a
	dh_testroot -a
	dh_strip -a
	dh_link -a
	dh_compress -a -X gap2deb
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## gap 4r7p7

=== debian/changelog ===
gap (4r7p7-3) unstable; urgency=low

  * patch:
    - fix-convert.pl: update for gapdoc -> GAPDoc change
    - doc-makefile: use gzip --no-name
  * debian/doc/gap2deb:
    - adds support for multiple documents and tests.

 -- Bill Allombert <ballombe@debian.org>  Sun, 03 May 2015 13:52:00 +0200

gap (4r7p7-2) unstable; urgency=low

  * Upload to unstable.
  * debian/rules, debian/doc/gap2deb:
    - Build with gap-gapdoc 1.5.1-2.
  * debian/control:
    - Bump Standards-Version to 3.9.6.

 -- Bill Allombert <ballombe@debian.org>  Thu, 30 Apr 2015 22:22:32 +0200

gap (4r7p7-1) experimental; urgency=low

  * New upstream release. Closes: #778986
  + Note that gap-gdat 4r7p7 is identical to gap-gdat 4r7p3.

 -- Bill Allombert <ballombe@debian.org>  Sat, 28 Feb 2015 18:07:55 +0100

=== debian/rules ===
--- 
+++ 
@@ -31,7 +31,7 @@
 prep: prep-stamp
 prep-stamp:
 	mkdir pkg
-	ln -s /usr/share/gap/pkg/gapdoc pkg
+	ln -s /usr/share/gap/pkg/GAPDoc pkg
 	touch prep-stamp
 
 build-arch:  config.status build-arch-stamp

## gap 4r7p8

=== debian/changelog ===
gap (4r7p8-1) unstable; urgency=low

  * New upstream release
  * new patch:
    - fix-testinstall.g: disable tests that require gap-gdat to be available
  * debian/rules: run the test "tst/testinstall.g"
  * debian/watch: add opts=pasv

 -- Bill Allombert <ballombe@debian.org>  Wed, 17 Jun 2015 18:41:38 +0200

## gap 4r7p9

=== debian/changelog ===
gap (4r7p9-1) unstable; urgency=low

  * New upstream release
    + Note that gap-gdat 4r7p9 is identical to gap-gdat 4r7p8.
  * debian/doc/Makefile: use gzip --no-name

 -- Bill Allombert <ballombe@debian.org>  Mon, 07 Dec 2015 19:43:27 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev, gap-gapdoc
+Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev,
+               gap-gapdoc (>= 1.5.1-2)
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, help2man
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.gap-system.org/
 
 Package: gap

=== debian/rules ===
--- 
+++ 
@@ -40,10 +40,10 @@
 	$(MAKE) "CFLAGS=$(CFLAGS) -fPIC" compile
 	mv bin/*/ pic
 	$(MAKE) "CFLAGS=$(CFLAGS)" compile
-	#Run a basic test.
-	echo 'ReadTest("tst/combinat.tst");'| bin/*/gap -q | tee debian/gap.tst
-	grep -q "^true" debian/gap.tst 
-
+ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+	echo 'Read("tst/testinstall.g");'| bin/*/gap -q -l . | tee debian/gap.tst
+	! grep "^########" debian/gap.tst 
+endif
 	touch build-arch-stamp
 
 build-indep: config.status  build-indep-stamp

=== debian/watch ===
version=3
opts=pasv ftp://ftp.gap-system.org/pub/gap/gap4core/gap(\dr\dp\d+)_nopackages.zip debian

## gap 4r8p4

=== debian/changelog ===
gap (4r8p4-1build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:01:42 +0000

gap (4r8p4-1) unstable; urgency=low

  * New upstream release
    + Note that gap-gdat 4r8p4 is identical to gap-gdat 4r8p3.
  * patches:
    - fix-pperm: removed: applied upstream
    - fix-MY_CLOCK: partially merged upstream
    - gac-object: removed: applied upstream
    - remove-infopackage-warning: disable warning for missing packages by
      default.
  * debian/control:
    - gap: Adjust Recommends/Suggests list to include the new packages
      available and to match PackagesToLoad.
  * doc: Fix cross-references to other GAP packages.
    + debian/control:
      - Build-Depends-Indep on gap-character-tables, gap-atlasrep
    + debian/rules:
      - Add links to ctbllib and atlasrep in pkg.

 -- Bill Allombert <ballombe@debian.org>  Wed, 22 Jun 2016 20:53:32 +0200

gap (4r8p3-3) unstable; urgency=low

  * patches:
    - convert.pl-repro: apply fix for SOURCE_DATE_EPOCH from Jerome Benoit.
      Closes: #821302.
    - fix-MY_CLOCK: disable assert related to siginfo on non-linux systems.
  * debian/rules: 
    - fix test-suite failure detection
    - Add support for DEB_BUILD_OPTIONS=notest
    - Install CHANGES as upstream changelog.
  * debian/doc/gap-policy.sgml:
    - Clarify that GAP_CONVERT_DATE is not interpolated.  Closes: #821304.
  * debian/gap2deb: 
    - Install gap2deb in /usr/bin
    - Add manpage.
    - Bump Standards-Version to 3.9.7.
    - Use debian.gap2deb when debian already exists.
  * debian/doc/gap2man, debian/control:
    - Fix generation of manpage and improve output. Closes: #823125
    - move help2man to Build-Depends

 -- Bill Allombert <ballombe@debian.org>  Tue, 03 May 2016 21:36:35 +0200

gap (4r8p3-2) unstable; urgency=low

  * New patches to fix test suite errors:
    - fix-test-dir: disable tests that rely on $HOME which is not available
      in buildd.
    - fix-pperm: fix QuoPPerm22 on bigendian systems.
    - fix-MY_CLOCK: disable use of CLOCK_THREAD_CPUTIME_ID on non-linux
      systems.

 -- Bill Allombert <ballombe@debian.org>  Fri, 15 Apr 2016 21:36:10 +0200

gap (4r8p3-1) unstable; urgency=low

  * New upstream release. Closes: #819467
  * patches:
    - fix-testinstall.g: fix tests not to require gap-gdat
    - fix-convert.pl: updated
    - gac-object: added: add missing profile.o
    - convert.pl-repro: added. Allow reproducible build by setting
      GAP_CONVERT_DATE or SOURCE_DATE_EPOCH. We recommend to set
      GAP_CONVERT_DATE to the date in the upstream manual to reduce
      differences.  Closes: #819730, #820745. Thanks Jerome Benoit.
    - gap-version-repro: added. Make gap_version.h reproductible.
  * sysinfo.gap: 
    - Set GAParch to $DEB_HOST_MULTIARCH-gcc.
    - Add symlink sysinfo.gap-debian -> sysinfo.gap. Closes: #736398
  * debian/control:
    - Bump Standards-Version to 3.9.7.
  * debian/doc/gap2deb:
    - watch: add opts=pasv
  * debian/doc/gap.1:
    - update manpage
  * debian/doc/gap-policy.sgml:
    - Document GAP_CONVERT_DATE and convert.pl.
  * debian/rules: 
    - Set DEB_HOST_MULTIARCH with dpkg-architecture.
    - Set SOURCE_DATE_EPOCH.
    - Make sure manualindex is executable
    - add /usr/include/gap/config.h indirection.
      Closes: #819985. Thanks Julien Cristau

 -- Bill Allombert <ballombe@debian.org>  Tue, 12 Apr 2016 13:32:23 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 DEB_HOST_GNU_CPU    ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
 triplet = $(DEB_HOST_MULTIARCH)
 gaptriplet = usr/lib/$(triplet)/gap
@@ -26,7 +28,7 @@
 
 config.status: configure
 	dh_testdir
-	LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system
+	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system
 
 prep: prep-stamp
 prep-stamp:
@@ -41,14 +43,19 @@
 	mv bin/*/ pic
 	$(MAKE) "CFLAGS=$(CFLAGS)" compile
 ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
-	echo 'Read("tst/testinstall.g");'| bin/*/gap -q -l . | tee debian/gap.tst
-	! grep "^########" debian/gap.tst 
+	echo 'Read("tst/testinstall.g");' \
+          | bin/*/gap -A -x 80 -r -m 100m -o 1g -q -l . \
+          | tee debian/gap.tst
+	grep "No errors detected while testing" debian/gap.tst 
 endif
+	$(MAKE) -C debian/doc gap.1
 	touch build-arch-stamp
 
 build-indep: config.status  build-indep-stamp
 build-indep-stamp: build-arch-stamp
 	dh_testdir
+	ln -s /usr/share/gap/pkg/AtlasRep pkg
+	ln -s /usr/share/gap/pkg/ctbllib pkg
 	env GAP_DIR=`pwd` $(MAKE) manuals
 	$(MAKE) -C debian/doc
 
@@ -81,10 +88,14 @@
 	dh_install -a
 	dh_install -p gap-dev pic/*.o ${gaptriplet}/bin
 	dh_install -p gap-dev pic/sysinfo.gap pic/config.h ${gaptriplet}/bin
-	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap
 	dh_install -p gap-dev src/*.h /usr/include/gap
+	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap/
+	(cd debian/gap-dev/usr/include/${triplet}/gap/ && mv config.h config-arch.h)
+	echo '#include <gap/config-arch.h>' > debian/gap-dev/usr/include/gap/config.h
+	chmod 644 debian/gap-dev/usr/include/gap/config.h
 	dh_link -p gap-dev ${gaptriplet}/bin /usr/lib/gap/`echo bin/*-gcc-*`
-	
+	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
+	dh_install -p gap-core sysinfo.gap /usr/lib/gap
 	install -m 644 sysinfo.gap debian/gap-core/usr/lib/gap
 	install -m 755 -d debian/gap-core/${gaptriplet}/bin
 	install -m 755 bin/*/gap debian/gap-core/${gaptriplet}/bin
@@ -113,6 +124,7 @@
 	
 	dh_installdirs -i
 	dh_install -i
+	dh_installdocs -p gap-doc CITATION CONTRIBUTING.md README.md
 	dh_installdocs -i --all debian/changelog-*.Debian
 	dh_installexamples -i 
 	dh_installinfo -i
@@ -135,9 +147,9 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
-	dh_strip -a
+	dh_strip -a --no-automatic-dbgsym
 	dh_link -a
-	dh_compress -a -X gap2deb
+	dh_compress -a
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a

## gap 4r8p6

=== debian/changelog ===
gap (4r8p6-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Sun, 05 Mar 2017 20:46:57 +0100

gap (4r8p6-2) unstable; urgency=medium

  * New patch:
    - upstream-fix-buffering: from Christopher Jefferson.  Closes: #844789
      Fix a buffering issue after loading a workspace.
  * Add dbgsym packages

 -- Bill Allombert <ballombe@debian.org>  Sun, 18 Dec 2016 10:03:11 +0100

gap (4r8p6-1) unstable; urgency=medium

  * New upstream release
    + Note that gap-gdat 4r8p6 is identical to gap-gdat 4r8p5.
    + fix-gzip-stringfile: removed: applied upstream

 -- Bill Allombert <ballombe@debian.org>  Thu, 17 Nov 2016 15:45:52 +0100

gap (4r8p5-1) unstable; urgency=medium

  * New upstream release. New patch:
    + fix-gzip-stringfile: from upstream: fix gzip support in StringFile.

 -- Bill Allombert <ballombe@debian.org>  Wed, 05 Oct 2016 00:38:04 +0200

=== debian/rules ===
--- 
+++ 
@@ -147,7 +147,7 @@
 binary-arch: build-arch install-arch
 	dh_testdir -a
 	dh_testroot -a
-	dh_strip -a --no-automatic-dbgsym
+	dh_strip -a
 	dh_link -a
 	dh_compress -a
 	dh_fixperms -a

## gap 4r8p7

=== debian/changelog ===
gap (4r8p7-1) unstable; urgency=medium

  * New upstream release
    - Note that gap-gdat 4r8p7 is identical to gap-gdat 4r8p5.
    - patch upstream-fix-buffering: removed: applied upstream
    - fix-sparc64: added: configure support for sparc64
  * debian/control, debian/compat, debian/gap2deb
    - Bump Standards-Version to 4.0.0
    - Move to debhelper v9

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Jul 2017 12:45:51 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,22 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 5.0.0), autotools-dev, libgmp-dev, libreadline-dev,
-               gap-gapdoc (>= 1.5.1-2)
-Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml, help2man
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9.0.0), autotools-dev, libgmp-dev, libreadline-dev,
+               gap-gapdoc (>= 1.5.1-2), help2man
+Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
+                     gap-character-tables, gap-atlasrep
+Standards-Version: 4.0.0
 Homepage: http://www.gap-system.org/
 
 Package: gap
 Architecture: all
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
-Recommends: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
-Suggests: gap-small-groups-extra,gap-character-tables,gap-table-of-marks
+Recommends: gap-doc, gap-dev, gap-trans-groups, gap-prim-groups,
+            gap-small-groups,
+            gap-autpgrp, gap-alnuth, gap-character-tables, gap-polycyclic,
+            gap-table-of-marks
+Suggests: gap-small-groups-extra, gap-atlasrep, gap-float, gap-grape,
+          gap-guava, gap-io, gap-openmath, gap-radiroot, gap-scscp
 Description: computer algebra system for Groups, Algorithms and Programming
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library

## gap 4r8p8

=== cnf/Makefile ===
--- 
+++ 
@@ -52,6 +52,7 @@
     plist \
     pperm \
     precord \
+    profile \
     range \
     rational \
     read \
@@ -96,6 +97,9 @@
 	@echo "creating 'Makegap.in'"
 	@echo "# DO NOT EDIT THIS FILE BY HAND IT IS MACHINE GENERATED" > Makegap.in
 	@cat Makegap.top >> Makegap.in
+	@echo 'ifeq "$$(MAKE_GMP)" "gmp"' >> Makegap.in
+	@echo 'gap:  $$(GMP_LIBS)' >> Makegap.in
+	@echo 'endif' >> Makegap.in
 	@echo >> Makegap.in
 	@echo '# OBJECTS are generated from SOURCE' >> Makegap.in
 	@/bin/echo -n "OBJECTS=" >> Makegap.in
@@ -104,14 +108,16 @@
 	@echo >> Makegap.in
 	@echo >> Makegap.in
 	@echo '# compile and link GAP' >> Makegap.in
-	@echo 'gap: $$(OBJECTS) $$(ITANIUMOBJ) $$(EXTOBJS) $$(GMP_LIBS)' >> Makegap.in
+	@echo 'ifeq ($$(uname_O),Cygwin)' >> Makegap.in
+	@echo 'gap: $$(OBJECTS) $$(ITANIUMOBJ) $$(EXTOBJS)' >> Makegap.in
+	@echo '	$$(CC) $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS) -DCOMPILECYGWINDLL -o gap.o -c ../../src/gap.c' >> Makegap.in
+	@echo '	$$(CC) $$(LDFLAGS) -o gap.dll -shared $$(OBJECTS) $$(ITANIUMOBJ) -lm -lrt $$(MPILIBS) $$(EXTOBJS) $$(GMP_LIBS) $$(CONFLIBS)' >> Makegap.in
+	@echo '	$$(CC) $$(LDFLAGS) -o gap ../../src/gapw95.c $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS) -DCOMPILECYGWINDLL gap.dll' >> Makegap.in
+	@echo >> Makegap.in
+	@echo 'else' >> Makegap.in
+	@echo 'gap: $$(OBJECTS) $$(ITANIUMOBJ) $$(EXTOBJS)' >> Makegap.in
 	@echo '	$$(CC) $$(LDFLAGS) -o gap $$(OBJECTS) $$(ITANIUMOBJ) -lm $$(MPILIBS) $$(EXTOBJS) $$(GMP_LIBS) $$(CONFLIBS)' >> Makegap.in
-	@echo >> Makegap.in
-	@echo '# compile and link gap.dll on cygwin' >> Makegap.in
-	@echo 'gapdll: $$(OBJECTS) $$(ITANIUMOBJ) $$(EXTOBJS) $$(GMP_LIBS)' >> Makegap.in
-	@echo '	$$(CC) $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS) -DCOMPILECYGWINDLL -o gap.o -c ../../src/gap.c' >> Makegap.in
-	@echo '	$$(CC) $$(LDFLAGS) -o gap.dll -shared $$(OBJECTS) $$(ITANIUMOBJ) -lm $$(MPILIBS) $$(EXTOBJS) $$(GMP_LIBS) $$(CONFLIBS)' >> Makegap.in
-	@echo '	$$(CC) $$(LDFLAGS) -o gapw95 ../../src/gapw95.c $$(CPPFLAGS) $$(GMP_CFLAGS) $$(CFLAGS) -DCOMPILECYGWINDLL gap.dll' >> Makegap.in
+	@echo 'endif' >> Makegap.in
 	@echo >> Makegap.in
 	@echo '# dependencies are automatically generated' >> Makegap.in
 	@(for i in `eval 'echo $(SOURCE)'`; do \

=== debian/changelog ===
gap (4r8p8-3) unstable; urgency=medium

  * debian/rules:
    - do not ship obsolete bin/sysinfo.gap file
  * debian/rules, debian/gap2deb:
    - support DEB_BUILD_OPTIONS nocheck. Thanks Helmut Grohne.
      Closes: #890260.
  * debian/control:
    - Mark gap-libs Multi-Arch: foreign

 -- Bill Allombert <ballombe@debian.org>  Mon, 19 Feb 2018 21:02:33 +0100

gap (4r8p8-2) unstable; urgency=medium

  * debian/control, debian/gap2deb:
    - Bump Standards-Version to 4.1.3
  * debian/control:
    - mark gap-doc Multi-Arch: foreign
  * debian/watch, debian/gap2deb:
    - switch from ftp to https URL.
  * debian/rules:
    - set FORCE_SOURCE_DATE = 1

 -- Bill Allombert <ballombe@debian.org>  Sat, 10 Feb 2018 21:59:03 +0100

gap (4r8p8-1) unstable; urgency=medium

  * New upstream release
    - Note that gap-gdat 4r8p8 is identical to gap-gdat 4r8p5.
  * debian/control:
    - gap-doc: Recommends gap-gapdoc. Closes: #872250.

 -- Bill Allombert <ballombe@debian.org>  Sat, 16 Sep 2017 23:14:57 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                gap-gapdoc (>= 1.5.1-2), help2man
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://www.gap-system.org/
 
 Package: gap
@@ -46,6 +46,7 @@
 
 Package: gap-libs
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}, gap-gapdoc
 Description: GAP computer algebra system, essential GAP libraries
  GAP is a system for computational discrete algebra, with particular emphasis
@@ -94,6 +95,8 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: gap-gapdoc
+Multi-Arch: foreign
 Suggests: gap
 Description: GAP computer algebra system, documentation
  GAP is a system for computational discrete algebra, with particular emphasis

=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,7 @@
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+export FORCE_SOURCE_DATE = 1
 export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog -SDate)" +%s)
 
 triplet = $(DEB_HOST_MULTIARCH)
@@ -42,7 +43,7 @@
 	$(MAKE) "CFLAGS=$(CFLAGS) -fPIC" compile
 	mv bin/*/ pic
 	$(MAKE) "CFLAGS=$(CFLAGS)" compile
-ifeq (,$(findstring notest,$(DEB_BUILD_OPTIONS)))
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	echo 'Read("tst/testinstall.g");' \
           | bin/*/gap -A -x 80 -r -m 100m -o 1g -q -l . \
           | tee debian/gap.tst
@@ -87,7 +88,7 @@
 	dh_installdirs -a
 	dh_install -a
 	dh_install -p gap-dev pic/*.o ${gaptriplet}/bin
-	dh_install -p gap-dev pic/sysinfo.gap pic/config.h ${gaptriplet}/bin
+	dh_install -p gap-dev pic/config.h ${gaptriplet}/bin
 	dh_install -p gap-dev src/*.h /usr/include/gap
 	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap/
 	(cd debian/gap-dev/usr/include/${triplet}/gap/ && mv config.h config-arch.h)

=== debian/watch ===
version=3
https://www.gap-system.org/pub/gap/gap4core/gap(\dr\dp\d+)_nopackages.zip debian

## gap 4r10p0

=== debian/changelog ===
gap (4r10p0-6) unstable; urgency=medium

  * New patch:
    - fix-libtool: Make libtool reproducible
  * debian/rules, debian/control: do not run libtoolize
  * debian/rules clean: remove file generated by configure

 -- Bill Allombert <ballombe@debian.org>  Mon, 07 Jan 2019 23:28:35 +0100

gap (4r10p0-5) unstable; urgency=medium

  * debian/rules: fix reproducibility issues:
    - run libtoolize and set paths in configure

 -- Bill Allombert <ballombe@debian.org>  Sat, 29 Dec 2018 11:58:29 +0100

gap (4r10p0-4) unstable; urgency=medium

  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.3.0
  * debian/control:
    - gap: Update Recommends and Suggests list to reflect available
      GAP packages.
  * debian/rules: restore backward compatibility.
    - add back /usr/lib/gap/bin/$(GAPArch) symlink.
    - add back /usr/include/gap/src symlink.

 -- Bill Allombert <ballombe@debian.org>  Wed, 26 Dec 2018 20:16:59 +0100

gap (4r10p0-3) unstable; urgency=medium

  * New patches
    - fix-make_doc: from upstream: added
    - sage-2-kernel-add-helper: from upstream: for sage support
    - sage-3-Prototype-for-GAP: for sage support. Closes: #916640
  * debian/watch: use dversionmangle. Closes: #915061
  * debian/gap2deb: install manual.lab
  * gap-dev: remove circular symlink
     /usr/lib/gap/src -> /usr/include/gap
  * debian/rules: add support for DEB_BUILD_OPTIONS terse

 -- Bill Allombert <ballombe@debian.org>  Thu, 20 Dec 2018 00:22:26 +0100

gap (4r10p0-2) experimental; urgency=medium

  * New patch fix-test-bigendian: fix test on bigendian systems.
  * debian/gap2deb: update
  * gap-dev: add compatibility symlinks
     /usr/lib/gap/gac -> /usr/bin/gac,
     /usr/include/gap/src -> /usr/include/gap

 -- Bill Allombert <ballombe@debian.org>  Mon, 03 Dec 2018 20:53:59 +0100

gap (4r10p0-1) experimental; urgency=medium

  * New upstream release
    - patch fix-compressed-six-files: removed: fixed upstream
    - patches fix-Makefile, gac: updated
  * debian/control:
    - Add Build-Depends on zlib1g-dev
  * debian/rules:
    - Install experimental libgap.so . Closes: #912862
    - The arch-specific gap root is now /usr/lib/<triplet>/gap.
    - Binaries are now in /usr/lib/<triplet>/gap/obj (without bin).

 -- Bill Allombert <ballombe@debian.org>  Mon, 12 Nov 2018 22:05:23 +0100

gap (4r9p3-4) unstable; urgency=medium

  * debian/rules:
    - set LC_CTYPE=C.UTF-8 for tests 
    - support DEB_BUILD_OPTIONS terse.
    - remove duplication in build process.
  * debian/watch, debian/tarball:
    - fix regexp to allow multidigit version field
  * debian/gap2deb: Improve generated debian/rules
  * debian/control: Add Breaks on incompatible version of gap pkgs.

 -- Bill Allombert <ballombe@debian.org>  Wed, 28 Nov 2018 22:02:21 +0100

gap (4r9p3-3) unstable; urgency=medium

  * debian/control: fix B-D for test.

 -- Bill Allombert <ballombe@debian.org>  Fri, 09 Nov 2018 23:27:28 +0100

gap (4r9p3-2) unstable; urgency=low

  * patch: fix-makefile: remove -A flag from gap call
  * debian/control: add B-D for tests:
    - add Build-Depends on locales
    - add Build-Depends-Indep on gap-autpgrp, gap-transgrp, gap-primgrp
  * debian/rules:
    - run tests as 'make testinstall'
    - use filter instead of findstring
  * debian/gap2deb:
    - fix detection of README
    - add detection of CHANGES
    - better dh_install rules

 -- Bill Allombert <ballombe@debian.org>  Sat, 03 Nov 2018 16:39:47 +0100

gap (4r9p3-1) experimental; urgency=medium

  * New upstream release. Closes: #909297.
  * patches:
    - fix-sparc64, fix-MY_CLOCK: fixed upstream
    - upstream-env-tmpdir: applied upstream
    - gac: updated
    - fix-makefile: added
    - configure-gapdir, fix-basecc, fix-gaparch: fixed upstream
    - fix-testinstall.g: removed
    - gap-version-repro: fixed upstream
    - no-needed-pkg: added for bootstraping: mark Needed packages as
                     Autoloaded instead
  * debian/tarball: simplified, now use mk-origtargz
  * debian/control:
    - Bump Standards-Version to 4.2.1
    - Replace Recommends gap-trans-groups by gap-transgrp.
    - Replace Recommends gap-small-groups by gap-smallgrp.
    - Replace Recommends gap-prim-groups by gap-primgrp.
  * debian/watch: update
  * debian/gap2deb:
    - fix watch file
    - Bump Standards-Version to 4.2.1
    - add support for README and SOURCE_DATE_EPOCH
  * debian/rules: update for new build system
  * debian/doc/gac.1, debian/doc/gap.1: updated

 -- Bill Allombert <ballombe@debian.org>  Fri, 19 Oct 2018 12:31:34 +0200

=== debian/control ===
--- 
+++ 
@@ -2,22 +2,25 @@
 Section: math
 Priority: optional
 Maintainer: Bill Allombert <ballombe@debian.org>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, libgmp-dev, libreadline-dev,
-               gap-gapdoc (>= 1.5.1-2), help2man
+Build-Depends: debhelper (>= 9.0.0), autotools-dev, 
+               libgmp-dev, libreadline-dev, zlib1g-dev,
+               gap-gapdoc (>= 1.5.1-2), help2man, locales,
+               gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
                      gap-character-tables, gap-atlasrep
-Standards-Version: 4.1.3
+Standards-Version: 4.3.0
 Homepage: http://www.gap-system.org/
 
 Package: gap
 Architecture: all
 Depends: gap-core, gap-libs, gap-online-help, ${misc:Depends}
-Recommends: gap-doc, gap-dev, gap-trans-groups, gap-prim-groups,
-            gap-small-groups,
+Recommends: gap-doc, gap-dev, gap-transgrp, gap-primgrp,
+            gap-smallgrp,
             gap-autpgrp, gap-alnuth, gap-character-tables, gap-polycyclic,
-            gap-table-of-marks
-Suggests: gap-small-groups-extra, gap-atlasrep, gap-float, gap-grape,
-          gap-guava, gap-io, gap-openmath, gap-radiroot, gap-scscp
+            gap-table-of-marks, gap-factint
+Suggests: gap-smallgrp-extra, gap-atlasrep, gap-design, gap-float, gap-grape,
+          gap-guava, gap-io, gap-laguna, gap-openmath, gap-radiroot, gap-scscp,
+          gap-sonata, gap-toric
 Description: computer algebra system for Groups, Algorithms and Programming
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library
@@ -32,8 +35,9 @@
 Architecture: any
 Depends: ${shlibs:Depends}, gap-libs (=${source:Version}), ${misc:Depends}
 Recommends: gap-online-help
-Suggests: gap-doc,gap-dev,gap-trans-groups,gap-prim-groups,gap-small-groups
+Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Replaces: gap (<< 4r3n4), gap-dev (<< 4r4p6)
+Breaks: gap-float (<= 0.9.1+ds-3), gap-io (<= 4.5.4+ds-2), gap-scscp (<= 2.2.3+ds-1), gap-openmath (<= 11.4.2+ds-2)
 Description: GAP computer algebra system, core components
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library

=== debian/rules ===
--- 
+++ 
@@ -20,34 +20,44 @@
 
 #strip is handled by dh_strip
 CFLAGS = -g -Wall
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 CFLAGS += -O0
 else
 CFLAGS += -O2
 endif
+export CFLAGS
+
 LDFLAGS = -Wl,-z,relro
+ifneq (,$(filter terse, $(DEB_BUILD_OPTIONS)))
+SILENT=""
+else
+SILENT="V=1"
+endif
 
 config.status: configure
 	dh_testdir
-	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system
+	GAPHOST=$(DEB_HOST_MULTIARCH) LDFLAGS=$(LDFLAGS) ./configure --host=$(DEB_HOST_GNU_TYPE) --target=$(DEB_HOST_GNU_TYPE)  --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --with-gmp=system SHELL=/bin/sh GREP=/bin/grep SED=/bin/sed DD=/bin/dd
 
 prep: prep-stamp
 prep-stamp:
 	mkdir pkg
 	ln -s /usr/share/gap/pkg/GAPDoc pkg
+	ln -s /usr/share/gap/pkg/AtlasRep pkg
+	ln -s /usr/share/gap/pkg/CTblLib pkg
+	ln -s /usr/share/gap/pkg/ctbllib pkg
+	ln -s /usr/share/gap/pkg/SmallGrp pkg
+	ln -s /usr/share/gap/pkg/PrimGrp pkg
+	ln -s /usr/share/gap/pkg/TransGrp pkg
 	touch prep-stamp
 
 build-arch:  config.status build-arch-stamp
 build-arch-stamp: prep-stamp
 	dh_testdir
-	$(MAKE) "CFLAGS=$(CFLAGS) -fPIC" compile
-	mv bin/*/ pic
-	$(MAKE) "CFLAGS=$(CFLAGS)" compile
+	$(MAKE) all libgap.la $(SILENT)
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	echo 'Read("tst/testinstall.g");' \
-          | bin/*/gap -A -x 80 -r -m 100m -o 1g -q -l . \
-          | tee debian/gap.tst
-	grep "No errors detected while testing" debian/gap.tst 
+	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 \
+          $(MAKE) testinstall $(SILENT) | tee debian/gap.tst
+	#! grep "^########" debian/gap.tst
 endif
 	$(MAKE) -C debian/doc gap.1
 	touch build-arch-stamp
@@ -55,9 +65,7 @@
 build-indep: config.status  build-indep-stamp
 build-indep-stamp: build-arch-stamp
 	dh_testdir
-	ln -s /usr/share/gap/pkg/AtlasRep pkg
-	ln -s /usr/share/gap/pkg/ctbllib pkg
-	env GAP_DIR=`pwd` $(MAKE) manuals
+	env GAP_DIR=`pwd` LC_CTYPE=C.UTF-8 $(MAKE) doc $(SILENT)
 	$(MAKE) -C debian/doc
 
 	touch build-indep-stamp
@@ -69,13 +77,14 @@
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp prep-stamp
 
-	if [ -f Makefile ]; then $(MAKE) clean; fi
+	cp -p configure configure.good && $(MAKE) distclean && mv configure.good configure
+	cd cnf && rm -f GAP-VERSION-FILE GAP-CFLAGS GAP-CPPFLAGS GAP-LDFLAGS GAP-LIBS GAP-OBJS
 
 	$(MAKE) -C doc clean
 	$(MAKE) -C debian/doc clean
 
 	rm -f sysinfo.gap 
-	rm -rf bin pkg pic
+	rm -rf bin pkg .libs
 	rm -f debian/gap.tst
 
 	dh_clean
@@ -87,26 +96,32 @@
 	dh_prep -a
 	dh_installdirs -a
 	dh_install -a
-	dh_install -p gap-dev pic/*.o ${gaptriplet}/bin
-	dh_install -p gap-dev pic/config.h ${gaptriplet}/bin
-	dh_install -p gap-dev src/*.h /usr/include/gap
-	dh_install -p gap-dev pic/config.h /usr/include/${triplet}/gap/
+	dh_install -p gap-dev obj ${gaptriplet}
+	rm -r debian/gap-dev/${gaptriplet}/obj/*/.deps
+	$(MAKE) install-headers DESTDIR=$(CURDIR)/debian/gap-dev/ $(SILENT)
+	dh_install -p gap-dev gen/config.h /usr/include/${triplet}/gap/
 	(cd debian/gap-dev/usr/include/${triplet}/gap/ && mv config.h config-arch.h)
 	echo '#include <gap/config-arch.h>' > debian/gap-dev/usr/include/gap/config.h
+	dh_link -p gap-dev ${gaptriplet}/obj /usr/lib/gap/`echo bin/*-default*`
 	chmod 644 debian/gap-dev/usr/include/gap/config.h
-	dh_link -p gap-dev ${gaptriplet}/bin /usr/lib/gap/`echo bin/*-gcc-*`
+	install -m 755 -d debian/gap-dev/usr/include/gap/src
+	for i in $$(cd debian/gap-dev && echo usr/include/gap/*.h); do \
+	  dh_link -p gap-dev $$i usr/include/gap/src/$$(basename $$i); done
 	install -m 755 doc/manualindex debian/gap-core/usr/share/gap/etc
-	dh_install -p gap-core sysinfo.gap /usr/lib/gap
-	install -m 644 sysinfo.gap debian/gap-core/usr/lib/gap
-	install -m 755 -d debian/gap-core/${gaptriplet}/bin
-	install -m 755 bin/*/gap debian/gap-core/${gaptriplet}/bin
+	dh_install -p gap-core sysinfo.gap usr/lib/gap
+	dh_install -p gap-core sysinfo.gap ${gaptriplet}
+	$(MAKE) install-libgap DESTDIR=$(CURDIR)/debian/gap-core/ libdir=/${gaptriplet} $(SILENT)
+	rm debian/gap-core/${gaptriplet}/libgap.la
+	install -m 755 -d debian/gap-core/${gaptriplet}
+	install -m 755 bin/*/gap debian/gap-core/${gaptriplet}
+	install -m 755 libtool debian/gap-core/${gaptriplet}
 	install -m 755 debian/gap.debian debian/gap-core/usr/bin/gap
-	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/bin/gap,g" \
+	perl -pi -e "s,\@GAP_PRG\@,/${gaptriplet}/gap,g" \
                  debian/gap-core/usr/bin/gap
 	install -m 755 bin/*/gac debian/gap-dev/usr/bin/gac
-	perl -pi -e "s,\@GAP_BIN\@,/${gaptriplet}/bin,g" \
+	perl -pi -e "s,\@GAP_BIN\@,/${gaptriplet},g" \
                  debian/gap-dev/usr/bin/gac
-	
+
 	dh_installdocs -a --all debian/changelog-*.Debian
 	dh_installexamples -a
 	dh_installmenu -a

## gap 4r10p2

=== debian/changelog ===
gap (4r10p2-2) unstable; urgency=medium

  * Source-only upload
  * debian/control: update Breaks:

 -- Bill Allombert <ballombe@debian.org>  Sat, 20 Jul 2019 17:23:20 +0200

gap (4r10p2-1) unstable; urgency=medium

  * New upstream release. Patches:
    - fix-make_doc: removed, merged upstream
    - sage-1-pr-3102, sage-2-kernel-add-helper, sage-3-Prototype-for-GAP: 
      removed, merged upstream
  * debian/gap2deb, debian/control:
    - Bump Standards-Version to 4.4.0

 -- Bill Allombert <ballombe@debian.org>  Tue, 09 Jul 2019 12:57:33 +0200

gap (4r10p0-7) unstable; urgency=medium

  * New patch:
    - sage-1-pr-3102: from upstream for sage support. Closes: #919679
  * debian/control, debian/rules
    - add Build-Depends-Indep on gap-table-of-marks

 -- Bill Allombert <ballombe@debian.org>  Mon, 21 Jan 2019 12:19:06 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,8 @@
                gap-gapdoc (>= 1.5.1-2), help2man, locales,
                gap-pkg-smallgrp, gap-pkg-transgrp, gap-pkg-primgrp
 Build-Depends-Indep: texlive-fonts-recommended, texlive-latex-extra, debiandoc-sgml,
-                     gap-character-tables, gap-atlasrep
-Standards-Version: 4.3.0
+                     gap-character-tables, gap-atlasrep, gap-table-of-marks
+Standards-Version: 4.4.0
 Homepage: http://www.gap-system.org/
 
 Package: gap
@@ -37,7 +37,7 @@
 Recommends: gap-online-help
 Suggests: gap-doc,gap-dev,gap-transgrp,gap-primgrp,gap-smallgrp
 Replaces: gap (<< 4r3n4), gap-dev (<< 4r4p6)
-Breaks: gap-float (<= 0.9.1+ds-3), gap-io (<= 4.5.4+ds-2), gap-scscp (<= 2.2.3+ds-1), gap-openmath (<= 11.4.2+ds-2)
+Breaks: gap-float (<= 0.9.1+ds-4), gap-io (<= 4.6.0+ds-2), gap-scscp (<= 2.2.3+ds-1), gap-openmath (<= 11.4.2+ds-4), gap-guava (<= 3.14+ds-1)
 Description: GAP computer algebra system, core components
  GAP is a system for computational discrete algebra, with particular emphasis
  on Computational Group Theory. GAP provides a programming language, a library

=== debian/rules ===
--- 
+++ 
@@ -45,6 +45,7 @@
 	ln -s /usr/share/gap/pkg/AtlasRep pkg
 	ln -s /usr/share/gap/pkg/CTblLib pkg
 	ln -s /usr/share/gap/pkg/ctbllib pkg
+	ln -s /usr/share/gap/pkg/TomLib pkg
 	ln -s /usr/share/gap/pkg/SmallGrp pkg
 	ln -s /usr/share/gap/pkg/PrimGrp pkg
 	ln -s /usr/share/gap/pkg/TransGrp pkg

=== debian/watch ===
version=3
options=dversionmangle=s/(\d+)r(\d+)p(\d+)/$1.$2.$3/ \
https://www.gap-system.org/pub/gap/gap4core/gap-(\d+\.\d+\.\d+)-core.zip debian
